Gravv DOCS
Docs Agent Get Started
API Reference Export transactions

Export transactions

Exports matching transactions as a downloadable file. Supports CSV and JSON formats. Maximum 50,000 records per export.

GET/v1/transactions/export

Query Parameters

Filter by customer ID

Filter by account ID

Filter by card ID

Filter by blockchain transaction hash

Filter by transaction channel

Possible values: avalanche, ethereum, solana, stellar, polygon, ach, wire, swift, bank_transfer, mobile_money, internal, swap, sepa, base, sui, tron, card, card_funding, card_withdrawal, card_payment, savings, savings_withdrawal, savings_interest

Filter by transaction direction

Possible values: in, out

Filter by transaction status

Possible values: pending, completed, failed, waiting_approval

Filter by transaction type

Possible values: internal_transfer, crypto_transfer, crypto_funding, global_remittance, card_funding, card_withdrawal, card_payment, account_funding, credit, debit, fee_charge, subscription_fee, invoice_payment

Filter transactions created on or after this timestamp

Filter transactions created on or before this timestamp

File format for the export

Possible values: csv, json

Responses

Status Description
200 Export file content and metadata
400 Bad request — invalid parameters or downstream error

200 response

Base64-encoded file content (CSV or JSON)

Suggested filename for the export

MIME type of the exported file

Total number of records included in the export (max 50000)

{
"data": {
"file_content": "aWQsYW1vdW50LGRpcmVjdGlvbg==",
"file_name": "transactions_export_2025-12-08.csv",
"content_type": "text/csv",
"total_records": 1200
},
"error": null
}

400 response

{
"data": null,
"error": "invalid query parameter"
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC